brew install ros/fuerte/swig-wx (leopard) [closed]

asked 2012-09-08 11:15:53 -0500

eruwaedhiel gravatar image

updated 2012-09-08 12:01:12 -0500

Kevin gravatar image

I have been attempting to install ros fuerte on mac os x 10.5.8 following these instructions. So far everything seemed to be working okay until I go to use the command

brew install ros/fuerte/swig-wx

where it cannot get past the "make" process. My output is as follows:

==> Cloning git://github.com/wg-debs/swig-wx.git
Updating /Library/Caches/Homebrew/swig-wx--git
==> Checking out tag upstream/1.3.29
==> ./configure --prefix=/usr/local/Cellar/swig-wx/1.3.29
==> make
Build system is out of date. Please reconfigure (rerun: ./autogen.sh && ./configure)
make[2]: *** [am--refresh] Error 1
make[1]: *** [Makefile.in] Error 1
make: *** [source] Error 2
config.log was copied to /Users/elizabethdarienzo/Library/Logs/Homebrew
==> Build Environment
HOMEBREW_VERSION: 0.9.3
HEAD: 6a0161f7397aac737281b5e859297845de6fd69b
CPU: dual-core 64-bit penryn
OS X: 10.5.8-i386
Xcode: 3.1.4
X11: 2.1.6 in /usr/X11
CC: /usr/bin/gcc-4.2
CXX: /usr/bin/g++-4.2
LD: /usr/bin/gcc-4.2
CFLAGS: -Os -w -pipe -march=core2 -msse4.1 -mmacosx-version-min=10.5 -arch i386 -arch x86_64
CXXFLAGS: -Os -w -pipe -march=core2 -msse4.1 -mmacosx-version-min=10.5 -arch i386 -arch x86_64
LDFLAGS: -L/usr/local/lib -arch i386 -arch x86_64
MAKEFLAGS: -j2
MACOSX_DEPLOYMENT_TARGET: 10.5
ACLOCAL_PATH: /usr/local/share/aclocal
OBJC: /usr/bin/gcc-4.2
PATH: /Library/Frameworks/Python.framework/Versions/2.6/bin:/Library/Frameworks/Python.framework/Versions/2.7/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/texbin:/usr/X11/bin:/usr/local/git/bin:/usr/local/Library/Contributions/cmds

Error: Failed executing: make (.rb:)

This link will help resolve the above errors:
https://github.com/mxcl/homebrew/wiki/bug-fixing-checklist

I have installed the most up-to-date versions of the above files that my operating system can use (so no xcode 4...). Does anyone know how to correct this error? Thanks in advance!!

edit retag flag offensive reopen merge delete

Closed for the following reason question is not relevant or outdated by tfoote
close date 2013-08-27 17:35:51

Comments

why don't you upgrade to Lion or Mountain Lion? :)

Kevin gravatar imageKevin ( 2012-09-08 12:00:19 -0500 )edit